Package it.ernytech.tdlib

## Class TdApi.Wallpaper

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Wallpaper

Enclosing class:
  TdApi

    public static class TdApi.Wallpaper
    extends TdApi.Object

Contains information about a wallpaper.

### Field Summary

Fields
`int` `color` Main color of the wallpaper in RGB24 format; should be treated as background color if no photos are specified.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `id` Unique persistent wallpaper identifier.
`TdApi.PhotoSize[]` `sizes` Available variants of the wallpaper in different sizes.

### Constructor Summary

Constructors
`Wallpaper()` Default constructor.
`Wallpaper​(int id, TdApi.PhotoSize[] sizes, int color)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public int id

Unique persistent wallpaper identifier.

#### sizes

    public TdApi.PhotoSize[] sizes

Available variants of the wallpaper in different sizes. These photos can only be downloaded; they can't be sent in a message.

#### color

    public int color

Main color of the wallpaper in RGB24 format; should be treated as background color if no photos are specified.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Wallpaper

    public Wallpaper()

Default constructor.

#### Wallpaper

    public Wallpaper​(int id,
                     TdApi.PhotoSize[] sizes,
                     int color)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique persistent wallpaper identifier.
  `sizes` - Available variants of the wallpaper in different sizes. These photos can only be downloaded; they can't be sent in a message.
  `color` - Main color of the wallpaper in RGB24 format; should be treated as background color if no photos are specified.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR